/*
 * Atm_led_mcp.h
 *
 *  Created on: 09.12.2017
 *      Author: ian
 */

#ifndef ATM_LED_WS2812_H_
#define ATM_LED_WS2812_H_

#include "FastLED.h"
#include <Atm_led.hpp>

class Atm_led_WS2812: public Atm_led {
public:
	Atm_led_WS2812(CRGB& _leds );

private:
	CRGB& leds;

protected:
	virtual void initLED();
	virtual void switchOn();
	virtual void switchOff();
  virtual void setBrightness(int r, int g, int b);
};

#endif /* SRC_ATM_LED_MCP_H_ */
